Name:           dxa
Version:        0.1.3
Release:        2%{?dist}
Summary:        6502 disassembler

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.floodgap.com/retrotech/xa/
Source0:        http://www.floodgap.com/retrotech/xa/dists/%{name}-%{version}.tar.gz
Patch0:         http://www.floodgap.com/retrotech/xa/dxa-malloc-patch.txt


%description
dxa is the semi-official disassembler option for the xa package, a weakly
patched version of Marko Mäkelä's d65 disassembler that generates  output
similar to the de facto coding conventions used for xa. The package is
designed to intelligently(?) scan arbitrary code and (with hints) can identify
the difference between data and valid machine code, generating a sane looking,
"perfect" disassembly with data and code portions.

Perfect, in this case, means that you can take what dxa spits out and feed it
right back into xa, and get the exact same object file you started with, even
if sometimes  dxa can't identify everything correctly. With a few extra
options, you can tease and twist the output to generate something not quite
so parseable, or even more like true assembler source.


%prep
%setup -q
%patch0 -p0

# fix encoding
for f in dxa.1
do
    iconv -f ISO-8859-1 -t UTF-8 < $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -DLONG_OPTIONS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/

install -p -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1


%files
%doc
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jan 29 2011 Dan Horák <dan[at]danny.cz> - 0.1.3-2
- add malloc patch

* Sat Feb 21 2009 Dan Horák <dan[at]danny.cz> - 0.1.3-1
- initial Fedora version
